Skip to main content
GET
Get subscriptions from the Subscription Lifecyle Management system i.e. Vindicia.

Authorizations

Authorization
string
header
required

OAuth 2.0 Authentication

Query Parameters

autobillId
string

The SLM ID of the Subscription.

accountId
string

The Account ID of the SLM account.

includeCurrentSubscriptionItems
boolean
default:false

Indicates whether to return only current subscription items.

includeAttributes
boolean
default:false

Indicates whether the attributes section is returned.

Response

OK

Subscriptions allow you to bill an Account over time and/or on a recurring basis. A subscription ties an Account to a particular billing plan and set of purchased products (subscription items) you’ve created. The API allows you to create, update and amend/modify your subscriptions.

object
enum<string>
required

Value is “Subscription”.

Available options:
Subscription
id
string
required

A unique identifier.

Maximum string length: 256
account
object
required
status
enum<string>
required

The status of the subscription from a service and entitlement perspective.

Available options:
Pending Activation,
Active,
Paused,
Pending Pause,
Pending Resume,
Pending Cancel,
Cancelled,
Expired,
Processing,
Deleted,
Dryrun,
Unknown,
Upgraded,
Legacy Suspended,
Bogus AutoBill Status
items
object
required

The product-based line items for the subscription.

vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by MarketONE.

Maximum string length: 128
created
string

The date/time at which the subscription was requested.

billing_plan
object
payment_method
object
currency
string

An ISO 4217 Currency Code. A subscription’s charges must be in a single currency.description string An optional customer-facing identifier or descriptive name for the subscription

description
string

An optional customer-facing identifier or descriptive name for the subscription

billing_state
enum<string>

The financial state of the subscription.

Available options:
Free/Trial,
Billing Completed,
Failed To Collect,
Free Period,
Paused,
Good Standing,
Grace Period,
In Retry,
Legacy Unknown BillingState,
Overdue,
Pending Acceptance,
Terminated,
Unbilled,
Unknown,
Unusable PaymentMethod,
Pending Resume,
Pending Pause,
Bogus BillingState
starts
string

The date/time the subscription starts service.

ends
string

The date/time the subscription ends service.

entitled_through
string

The date/time to which the subscription will entitle service if no further payments are made – a “paid thru” date based on billing schedule and grace period.

source_ip
string

Optional source IP Address at sign-up.

billing_descriptor
string

Optional “soft descriptor” to send to the payment processor for transactions from this subscription.

billing_day
integer

The day of the month on which the subscription is (typically) billed. Often called an “anniversary date.”

minimum_commitment
integer

Number of billing cycles customer is obligated to maintain the subscription. Cancelling before this time requires CSP to “force” cancellation.

affiliate
string

Affiliate or channel identifier, if any, under which the subscription was submitted.

sub_affiliate
string

A more granular or subordinate affiliate identifier.

notify_on_transition
boolean

Indicates whether to send an expiration or trial-end email notification using the days-in-advance configuration in the Billing Plan.

most_recent_billing
object

The Transaction object provides a way to charge a customer. You can create one-time transactions, retrieve individual transactions, fetch individual transactions, and list all Transactions for a given account or subscription. Posting with a new Transaction creates a new one-time Transaction object. If “to_be_captured” is false, the request will trigger an authorization attempt (based on the provided payment method’s authorization process). If successfully authorized, a subsequent post to the transaction’s actions/capture endpoint will capture the authorized transaction. If you post a new transaction with “to_be_captured” true, it will authorize and immediately capture the transaction if successful. To refund transactions, use the refunds endpoint.

most_recent_refunds
object

A list of any refunds associated with the Transaction in most_recent_billing.

next_billing
object

The Transaction object provides a way to charge a customer. You can create one-time transactions, retrieve individual transactions, fetch individual transactions, and list all Transactions for a given account or subscription. Posting with a new Transaction creates a new one-time Transaction object. If “to_be_captured” is false, the request will trigger an authorization attempt (based on the provided payment method’s authorization process). If successfully authorized, a subsequent post to the transaction’s actions/capture endpoint will capture the authorized transaction. If you post a new transaction with “to_be_captured” true, it will authorize and immediately capture the transaction if successful. To refund transactions, use the refunds endpoint.

metadata
object

A set of key/value pairs that you can attach to an object. Useful for storing additional information.

credit
object

Credit balance of the subscription.

statement_format
enum<string>

Instructions for if/how to include the invoice statement for this subscription. Values can be Attachment, DoNotSend,Inline

Available options:
Attachment,
DoNotSend,
Inline
invoice_terms
integer

Net Terms (in days); after this many days from a billing, the invoice will be considered delinquent.

statement_offset
integer

Days before scheduled billing to deliver the statement.

statement_template
string

Template to use for statement generation.

billing_plan_campaign_code
string

The Campaign code redeemed on this AutoBill against the price of the Billing Plan. To apply a Campaign, use this field to pass in a valid Coupon or Promotion code. Note This data member will not be returned.

billing_plan_campaign_id
string

The unique identifier for a Campaign applied to this AutoBill’s BillingPlan. This is a read-only field returned by Vindicia for informational purposes. Values sent in with a SOAP call will be ignored. Read only.

unknown_starts
boolean

Used to create a Subscription Pending Activation.

balance
number
mandate
object

The mandates object represents the end-custom approval for a one-time or recurring billing using their provided bank account details. A common requirement for UK and SEPA direct debit payment methods.

cancel_reason
object
policy
object

The policy object governing Subscription behavior.

pause_history
object
attributes
object

Subscription attributes Dto